# Gimp.Unit.prototype.is_metric

    function is_metric(): Boolean {
        // Gjs wrapper for gimp_unit_is_metric()
    }

Checks if the given unit is metric. A simplistic test is used that looks at the unit's factor and checks if it is 2.54 multiplied by some common powers of 10. Currently it checks for mm, cm, dm, m.

See also: Gimp.Unit.prototype.get_factor

Since 2.10

Returns

  true if the unit is metric.